Bug 1470194 - [osp12]swift_proxy,swift_object_expirer,swift_object_replicator containers on controller node have restarting state due to "IOError: [Errno 2] No such file or directory: '/etc/swift/object.ring.gz'"
[osp12]swift_proxy,swift_object_expirer,swift_object_replicator containers on...
Status: VERIFIED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-containers (Show other bugs)
12.0 (Pike)
x86_64 Linux
high Severity high
: Upstream M2
: 12.0 (Pike)
Assigned To: Dan Prince
Omri Hochman
Andrew Burden
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 09:55 EDT by Artem Hrechanychenko
Modified: 2017-08-02 03:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artem Hrechanychenko 2017-07-12 09:55:07 EDT
Description of problem:
[heat-admin@overcloud-controller-0 ~]$ sudo docker ps|grep Restarting 
58651249baf4        192.168.24.1:8787/rhosp12/openstack-swift-proxy-server-docker:2017-07-11.7          "kolla_start"            14 minutes ago      Restarting (1) 9 seconds ago                        swift_object_expirer
a2cda6735f5c        192.168.24.1:8787/rhosp12/openstack-swift-object-docker:2017-07-11.7                "kolla_start"            14 minutes ago      Restarting (1) 37 seconds ago                       swift_object_replicator
6b0dd0d48e33        192.168.24.1:8787/rhosp12/openstack-swift-proxy-server-docker:2017-07-11.7          "kolla_start"            15 minutes ago      Restarting (1) 57 seconds ago                       swift_proxy


Version-Release number of selected component (if applicable):
OSP12
openstack-neutron-11.0.0-0.20170628060509.9a72bfe.el7ost.noarch
openstack-heat-engine-9.0.0-0.20170628061551.30c87ba.el7ost.noarch
openstack-ironic-common-8.0.1-0.20170628015314.3521203.el7ost.noarch
openstack-mistral-engine-5.0.0-0.20170627151830.fe1a1e1.el7ost.noarch
openstack-nova-api-16.0.0-0.20170627215041.el7ost.noarch
openstack-nova-conductor-16.0.0-0.20170627215041.el7ost.noarch
openstack-nova-compute-16.0.0-0.20170627215041.el7ost.noarch
openstack-neutron-common-11.0.0-0.20170628060509.9a72bfe.el7ost.noarch
openstack-heat-common-9.0.0-0.20170628061551.30c87ba.el7ost.noarch
openstack-tripleo-puppet-elements-7.0.0-0.20170614005502.9285877.el7ost.noarch
openstack-tripleo-validations-7.1.1-0.20170627224206.591a65f.el7ost.noarch
openstack-glance-15.0.0-0.20170623215940.8188eca.el7ost.noarch
puppet-openstacklib-11.2.0-0.20170626053453.8264861.el7ost.noarch
openstack-tripleo-image-elements-7.0.0-0.20170607161959.401d861.el7ost.noarch
python-openstacksdk-0.9.17-0.20170621195806.7946243.el7ost.noarch
openstack-swift-object-2.14.1-0.20170622024006.2d18ecd.el7ost.noarch
openstack-nova-common-16.0.0-0.20170627215041.el7ost.noarch
openstack-heat-api-9.0.0-0.20170628061551.30c87ba.el7ost.noarch
openstack-ironic-conductor-8.0.1-0.20170628015314.3521203.el7ost.noarch
openstack-tempest-16.0.1-0.20170628065146.f6288d7.el7ost.noarch
openstack-mistral-common-5.0.0-0.20170627151830.fe1a1e1.el7ost.noarch
openstack-tripleo-ui-7.1.1-0.20170627161345.68e8684.el7ost.noarch
openstack-zaqar-5.0.0-0.20170626084003.b1cd63c.el7ost.noarch
openstack-puppet-modules-10.0.0-0.20170315222135.0333c73.el7.1.noarch
openstack-tripleo-heat-templates-7.0.0-0.20170628002128.el7ost.noarch
openstack-tripleo-common-7.2.1-0.20170628001837.5a6423b.el7ost.noarch
openstack-swift-container-2.14.1-0.20170622024006.2d18ecd.el7ost.noarch
openstack-neutron-ml2-11.0.0-0.20170628060509.9a72bfe.el7ost.noarch
openstack-swift-proxy-2.14.1-0.20170622024006.2d18ecd.el7ost.noarch
openstack-heat-api-cfn-9.0.0-0.20170628061551.30c87ba.el7ost.noarch
openstack-mistral-api-5.0.0-0.20170627151830.fe1a1e1.el7ost.noarch
openstack-selinux-0.8.8-0.20170622195307.74ddc0e.el7ost.noarch
openstack-nova-placement-api-16.0.0-0.20170627215041.el7ost.noarch
openstack-keystone-12.0.0-0.20170628062203.e4c0c8d.el7ost.noarch
openstack-swift-account-2.14.1-0.20170622024006.2d18ecd.el7ost.noarch
openstack-neutron-openvswitch-11.0.0-0.20170628060509.9a72bfe.el7ost.noarch
openstack-ironic-inspector-5.1.1-0.20170627095652.c172b2e.el7ost.noarch
python-openstack-mistral-5.0.0-0.20170627151830.fe1a1e1.el7ost.noarch
puppet-openstack_extras-11.2.0-0.20170626060428.de67a39.el7ost.noarch
openstack-ironic-api-8.0.1-0.20170628015314.3521203.el7ost.noarch
python-openstackclient-3.11.0-0.20170613232431.c69304e.el7ost.noarch
openstack-mistral-executor-5.0.0-0.20170627151830.fe1a1e1.el7ost.noarch
openstack-nova-scheduler-16.0.0-0.20170627215041.el7ost.noarch
openstack-tripleo-common-containers-7.2.1-0.20170628001837.5a6423b.el7ost.noarch


How reproducible:


Steps to Reproduce:
1.Deploy HA osp12 with 3ctrl 1 compute http://etherpad.corp.redhat.com/testing-osp12-containers-ha
2) check oc containers state

Actual results:
58651249baf4        192.168.24.1:8787/rhosp12/openstack-swift-proxy-server-docker:2017-07-11.7          "kolla_start"            14 minutes ago      Restarting (1) 9 seconds ago                        swift_object_expirer
a2cda6735f5c        192.168.24.1:8787/rhosp12/openstack-swift-object-docker:2017-07-11.7                "kolla_start"            14 minutes ago      Restarting (1) 37 seconds ago                       swift_object_replicator
6b0dd0d48e33        192.168.24.1:8787/rhosp12/openstack-swift-proxy-server-docker:2017-07-11.7          "kolla_start"            15 minutes ago      Restarting (1) 57 seconds ago                       swift_proxy


    INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
    INFO:__main__:Validating config file
    INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
    INFO:__main__:Copying service configuration files
    INFO:__main__:Deleting /etc/swift/backups/1499865786.account.builder
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/backups/1499865786.account.builder to /etc/swift/backups/1499865786.account.builder
    INFO:__main__:Deleting /etc/swift/backups/1499865786.account.ring.gz
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/backups/1499865786.account.ring.gz to /etc/swift/backups/1499865786.account.ring.gz
    INFO:__main__:Deleting /etc/swift/backups/1499865786.container.builder
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/backups/1499865786.container.builder to /etc/swift/backups/1499865786.container.builder
    INFO:__main__:Deleting /etc/swift/backups/1499865786.container.ring.gz
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/backups/1499865786.container.ring.gz to /etc/swift/backups/1499865786.container.ring.gz
    INFO:__main__:Deleting /etc/swift/account-server.conf
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
    INFO:__main__:Deleting /etc/swift/account.builder
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account.builder to /etc/swift/account.builder
    INFO:__main__:Deleting /etc/swift/account.ring.gz
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account.ring.gz to /etc/swift/account.ring.gz
    INFO:__main__:Deleting /etc/swift/container-server.conf
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
    INFO:__main__:Deleting /etc/swift/container.builder
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container.builder to /etc/swift/container.builder
    INFO:__main__:Deleting /etc/swift/container.ring.gz
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container.ring.gz to /etc/swift/container.ring.gz
    INFO:__main__:Deleting /etc/swift/object-expirer.conf
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
    INFO:__main__:Deleting /etc/swift/object-server.conf
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
    INFO:__main__:Deleting /etc/swift/proxy-server.conf
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
    INFO:__main__:Deleting /etc/swift/swift.conf
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
    INFO:__main__:Deleting /etc/xinetd.d/rsync
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
    INFO:__main__:Deleting /etc/rsyncd.conf
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
    INFO:__main__:Deleting /etc/xinetd.conf
    INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
    INFO:__main__:Writing out command to execute
    INFO:__main__:Setting permission for /var/log/swift
    Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
    Traceback (most recent call last):
      File "/usr/bin/swift-proxy-server", line 23, in <module>
        sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
      File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
        loadapp(conf_path, global_conf=global_conf)
      File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
        app = ctx.app_context.create()
      File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
        return self.object_type.invoke(self)
      File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
        return fix_call(context.object, context.global_conf, **context.local_conf)
      File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
        val = callable(*args, **kw)
      File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 713, in app_factory
        app = Application(conf)
      File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 198, in __init__
        policy.load_ring(swift_dir)
      File "/usr/lib/python2.7/site-packages/swift/common/storage_policy.py", line 364, in load_ring
        self.object_ring = Ring(swift_dir, ring_name=self.ring_name)
      File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 184, in __init__
        self._reload(force=True)
      File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 189, in _reload
        ring_data = RingData.load(self.serialized_path)
      File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 94, in load
        gz_file = GzipFile(filename, 'rb')
      File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
        fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
    IOError: [Errno 2] No such file or directory: '/etc/swift/object.ring.gz'
Comment 3 Dan Prince 2017-07-12 10:09:43 EDT
First thing to check here is perhaps that ringbuilding is working. We are still driving the creation of the rings with puppet-swift at this point so that rings should end up here on your Overcloud nodes:

/var/lib/config-data/swift/etc/swift

and if recent enough from here:

/var/lib/config-data/puppet-generated/swift/etc/swift

----

Other than that I'm not aware of any recent changes other than the way we map in data from /var/lib/config-data/puppet-generated/ now. And there is a Kolla change that needs to be in the new containers for this to work correctly.

This upstream Kolla change for example I think is needed: https://review.openstack.org/#/c/476148/

Mandre: any thoughts here?
Comment 5 Dan Prince 2017-07-12 10:09:54 EDT
First thing to check here is perhaps that ringbuilding is working. We are still driving the creation of the rings with puppet-swift at this point so that rings should end up here on your Overcloud nodes:

/var/lib/config-data/swift/etc/swift

and if recent enough from here:

/var/lib/config-data/puppet-generated/swift/etc/swift

----

Other than that I'm not aware of any recent changes other than the way we map in data from /var/lib/config-data/puppet-generated/ now. And there is a Kolla change that needs to be in the new containers for this to work correctly.

This upstream Kolla change for example I think is needed: https://review.openstack.org/#/c/476148/

Mandre: any thoughts here?
Comment 6 Dan Prince 2017-07-12 10:22:13 EDT
Okay. Just confirmed. There are no swift rings getting generated.
Comment 7 Alexander Chuzhoy 2017-07-14 13:41:44 EDT
Reproduced.
Environment:
puppet-swift-11.2.0-0.20170704160007.64ed456.el7ost.noarch
python-swiftclient-3.3.0-0.20170131151542.307d4c0.el7.noarch
openstack-swift-proxy-2.14.1-0.20170710182435.8472cb6.el7ost.noarch
openstack-swift-account-2.14.1-0.20170710182435.8472cb6.el7ost.noarch
python-swift-2.14.1-0.20170710182435.8472cb6.el7ost.noarch
openstack-swift-object-2.14.1-0.20170710182435.8472cb6.el7ost.noarch
openstack-swift-plugin-swift3-1.11.1-0.20170616180420.a8bbdd6.el7ost.noarch
openstack-swift-container-2.14.1-0.20170710182435.8472cb6.el7ost.noarch
openstack-tripleo-heat-templates-7.0.0-0.20170710191337.el7ost.noarch
instack-undercloud-7.1.1-0.20170710151630.el7ost.noarch
openstack-puppet-modules-10.0.0-0.20170315222135.0333c73.el7.1.noarch




[root@overcloud-controller-0 ~]# docker logs swift_proxy
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Creating directory /etc/swift/account-server
INFO:__main__:Creating directory /etc/swift/container-server
INFO:__main__:Creating directory /etc/swift/object-server
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
INFO:__main__:Setting permission for /var/log/swift
Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 23, in <module>
    sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
    loadapp(conf_path, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 719, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 199, in __init__
    ring_name='container')
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/container.ring.gz'
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Deleting /etc/swift/container-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Deleting /etc/swift/object-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Deleting /etc/xinetd.d/rsync
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Deleting /etc/xinetd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
INFO:__main__:Setting permission for /var/log/swift
Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 23, in <module>
    sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
    loadapp(conf_path, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 719, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 199, in __init__
    ring_name='container')
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/container.ring.gz'
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Deleting /etc/swift/container-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Deleting /etc/swift/object-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Deleting /etc/xinetd.d/rsync
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Deleting /etc/xinetd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
INFO:__main__:Setting permission for /var/log/swift
Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 23, in <module>
    sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
    loadapp(conf_path, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 719, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 199, in __init__
    ring_name='container')
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/container.ring.gz'
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Deleting /etc/swift/container-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Deleting /etc/swift/object-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Deleting /etc/xinetd.d/rsync
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Deleting /etc/xinetd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
INFO:__main__:Setting permission for /var/log/swift
Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 23, in <module>
    sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
    loadapp(conf_path, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 719, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 199, in __init__
    ring_name='container')
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/container.ring.gz'
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Deleting /etc/swift/container-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Deleting /etc/swift/object-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Deleting /etc/xinetd.d/rsync
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Deleting /etc/xinetd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
INFO:__main__:Setting permission for /var/log/swift
Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 23, in <module>
    sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
    loadapp(conf_path, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 719, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 199, in __init__
    ring_name='container')
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/container.ring.gz'
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Deleting /etc/swift/container-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Deleting /etc/swift/object-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Deleting /etc/xinetd.d/rsync
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Deleting /etc/xinetd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
INFO:__main__:Setting permission for /var/log/swift
Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 23, in <module>
    sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
    loadapp(conf_path, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 719, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 199, in __init__
    ring_name='container')
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/container.ring.gz'
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Deleting /etc/swift/container-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Deleting /etc/swift/object-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Deleting /etc/xinetd.d/rsync
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Deleting /etc/xinetd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
INFO:__main__:Setting permission for /var/log/swift
Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 23, in <module>
    sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
    loadapp(conf_path, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 719, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 199, in __init__
    ring_name='container')
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/container.ring.gz'
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Deleting /etc/swift/container-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Deleting /etc/swift/object-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Deleting /etc/xinetd.d/rsync
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Deleting /etc/xinetd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
INFO:__main__:Setting permission for /var/log/swift
Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 23, in <module>
    sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
    loadapp(conf_path, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 719, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 199, in __init__
    ring_name='container')
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/container.ring.gz'
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Deleting /etc/swift/container-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Deleting /etc/swift/object-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Deleting /etc/xinetd.d/rsync
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Deleting /etc/xinetd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
INFO:__main__:Setting permission for /var/log/swift
Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 23, in <module>
    sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
    loadapp(conf_path, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 719, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 199, in __init__
    ring_name='container')
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/container.ring.gz'
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Deleting /etc/swift/container-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Deleting /etc/swift/object-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Deleting /etc/xinetd.d/rsync
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Deleting /etc/xinetd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
INFO:__main__:Setting permission for /var/log/swift
Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 23, in <module>
    sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
    loadapp(conf_path, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 719, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 199, in __init__
    ring_name='container')
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/container.ring.gz'
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Deleting /etc/swift/container-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Deleting /etc/swift/object-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Deleting /etc/xinetd.d/rsync
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Deleting /etc/xinetd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
INFO:__main__:Setting permission for /var/log/swift
Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 23, in <module>
    sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
    loadapp(conf_path, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 719, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 199, in __init__
    ring_name='container')
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/container.ring.gz'
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Deleting /etc/swift/container-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Deleting /etc/swift/object-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Deleting /etc/xinetd.d/rsync
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Deleting /etc/xinetd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
INFO:__main__:Setting permission for /var/log/swift
Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 23, in <module>
    sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
    loadapp(conf_path, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 719, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 199, in __init__
    ring_name='container')
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/container.ring.gz'
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Deleting /etc/swift/container-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Deleting /etc/swift/object-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Deleting /etc/xinetd.d/rsync
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Deleting /etc/xinetd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
INFO:__main__:Setting permission for /var/log/swift
Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 23, in <module>
    sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
    loadapp(conf_path, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 719, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 199, in __init__
    ring_name='container')
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/container.ring.gz'
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Deleting /etc/swift/container-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Deleting /etc/swift/object-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Deleting /etc/xinetd.d/rsync
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Deleting /etc/xinetd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
INFO:__main__:Setting permission for /var/log/swift
Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 23, in <module>
    sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
    loadapp(conf_path, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 719, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 199, in __init__
    ring_name='container')
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/container.ring.gz'
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Deleting /etc/swift/container-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Deleting /etc/swift/object-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Deleting /etc/xinetd.d/rsync
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Deleting /etc/xinetd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
INFO:__main__:Setting permission for /var/log/swift
Running command: '/usr/bin/swift-proxy-server /etc/swift/proxy-server.conf'
Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 23, in <module>
    sys.exit(run_wsgi(conf_file, 'proxy-server', **options))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 899, in run_wsgi
    loadapp(conf_path, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 719, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 199, in __init__
    ring_name='container')
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/container.ring.gz'
Comment 9 Alexander Chuzhoy 2017-07-14 13:46:50 EDT
Only on one controller:


overcloud-controller-0.redhat.local
cc27b6612b07        192.168.24.1:8787/rhosp12/openstack-swift-proxy-server-docker:2017-07-13.2          "kolla_start"            44 minutes ago      Restarting (1) 16 minutes ago                       swift_proxy


overcloud-controller-1.redhat.local
a3e3dbc0ad81        192.168.24.1:8787/rhosp12/openstack-swift-proxy-server-docker:2017-07-13.2          "kolla_start"            44 minutes ago      Up 44 minutes                           swift_proxy
 

overcloud-controller-2.redhat.local
7e70f65dd1cd        192.168.24.1:8787/rhosp12/openstack-swift-proxy-server-docker:2017-07-13.2          "kolla_start"            44 minutes ago      Up 44 minutes                           swift_proxy
Comment 10 Artem Hrechanychenko 2017-07-19 08:19:49 EDT
didn't reproduced during last deployment
Comment 11 Omri Hochman 2017-07-19 09:22:22 EDT
unable to reproduce with container-images from : 2017-02-13


[root@overcloud-controller-0 ~]# vi /var/lib/config-data/swift/etc/swift/
account.builder            backups/                   container-server/          object.ring.gz             proxy-server.conf
account.ring.gz            container.builder          container-server.conf      object-server/             rootwrap.conf
account-server/            container-reconciler.conf  object.builder             object-server.conf         swift.conf
account-server.conf        container.ring.gz          object-expirer.conf        proxy-server/
Comment 12 Artem Hrechanychenko 2017-08-02 03:11:47 EDT
Reproduced with 2017-07-26.10 puddle:

[heat-admin@overcloud-controller-0 ~]$ sudo docker ps |grep -v "Up"
CONTAINER ID        IMAGE                                                                                                   COMMAND                  CREATED             STATUS                       PORTS               NAMES
50ffdd696532        docker-registry.engineering.redhat.com/rhosp12/openstack-swift-proxy-server-docker:2017-07-26.10        "kolla_start"            38 hours ago        Restarting (1) 9 hours ago                       swift_object_expirer
f625c5b01f95        docker-registry.engineering.redhat.com/rhosp12/openstack-swift-object-docker:2017-07-26.10              "kolla_start"            38 hours ago        Restarting (1) 9 hours ago                       swift_object_replicator
94e95fbdeff8        docker-registry.engineering.redhat.com/rhosp12/openstack-swift-proxy-server-docker:2017-07-26.10        "kolla_start"            38 hours ago        Restarting (1) 9 hours ago                       swift_proxy


INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/backups/1501518020.container.ring.gz to /etc/swift/backups/1501518020.container.ring.gz
INFO:__main__:Deleting /etc/swift/account-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account-server.conf to /etc/swift/account-server.conf
INFO:__main__:Deleting /etc/swift/account.builder
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account.builder to /etc/swift/account.builder
INFO:__main__:Deleting /etc/swift/account.ring.gz
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/account.ring.gz to /etc/swift/account.ring.gz
INFO:__main__:Deleting /etc/swift/container-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container-server.conf to /etc/swift/container-server.conf
INFO:__main__:Deleting /etc/swift/container.builder
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container.builder to /etc/swift/container.builder
INFO:__main__:Deleting /etc/swift/container.ring.gz
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/container.ring.gz to /etc/swift/container.ring.gz
INFO:__main__:Deleting /etc/swift/object-expirer.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-expirer.conf to /etc/swift/object-expirer.conf
INFO:__main__:Deleting /etc/swift/object-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/object-server.conf to /etc/swift/object-server.conf
INFO:__main__:Deleting /etc/swift/proxy-server.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/proxy-server.conf to /etc/swift/proxy-server.conf
INFO:__main__:Deleting /etc/swift/swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/swift/swift.conf to /etc/swift/swift.conf
INFO:__main__:Deleting /etc/xinetd.d/rsync
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.d/rsync to /etc/xinetd.d/rsync
INFO:__main__:Deleting /etc/rsyncd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/rsyncd.conf to /etc/rsyncd.conf
INFO:__main__:Deleting /etc/xinetd.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/xinetd.conf to /etc/xinetd.conf
INFO:__main__:Writing out command to execute
Running command: '/usr/bin/swift-object-expirer /etc/swift/object-expirer.conf'
Traceback (most recent call last):
  File "/usr/bin/swift-object-expirer", line 33, in <module>
    run_daemon(ObjectExpirer, conf_file, **options)
  File "/usr/lib/python2.7/site-packages/swift/common/daemon.py", line 117, in run_daemon
    klass(conf).run(once=once, **kwargs)
  File "/usr/lib/python2.7/site-packages/swift/obj/expirer.py", line 56, in __init__
    conf_path, 'Swift Object Expirer', request_tries)
  File "/usr/lib/python2.7/site-packages/swift/common/internal_client.py", line 149, in __init__
    allow_modify_pipeline=allow_modify_pipeline)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 393, in loadapp
    app = ctx.app_context.create()
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 710, in create
    return self.object_type.invoke(self)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 146, in invoke
    return fix_call(context.object, context.global_conf, **context.local_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/util.py", line 55, in fix_call
    val = callable(*args, **kw)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 715, in app_factory
    app = Application(conf)
  File "/usr/lib/python2.7/site-packages/swift/proxy/server.py", line 203, in __init__
    policy.load_ring(swift_dir)
  File "/usr/lib/python2.7/site-packages/swift/common/storage_policy.py", line 364, in load_ring
    self.object_ring = Ring(swift_dir, ring_name=self.ring_name)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 196, in __init__
    self._reload(force=True)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 201, in _reload
    ring_data = RingData.load(self.serialized_path)
  File "/usr/lib/python2.7/site-packages/swift/common/ring/ring.py", line 96, in load
    gz_file = GzipFile(filename, 'rb')
  File "/usr/lib64/python2.7/gzip.py", line 94, in __init__
    fileobj = self.myfileobj = __builtin__.open(filename, mode or 'rb')
IOError: [Errno 2] No such file or directory: '/etc/swift/object.ring.gz'

Note You need to log in before you can comment on or make changes to this bug.